liip_imagine:
    # valid drivers options include "gd" or "gmagick" or "imagick"
    driver: "gd"

    resolvers :
        default :
            web_path :
                web_root: "%kernel.project_dir%/public_html/"
                cache_prefix: "media/cache"

    loaders:
        default:
            filesystem:
                data_root:
                        - "%kernel.project_dir%/public_html/uploads/"
                        - "%kernel.project_dir%/public_html/bundles/qbabittemplate/inmobiliaria/images/"

    # define your filter sets under this option
    filter_sets:

        # an example thumbnail transformation definition
        # https://symfony.com/doc/current/bundles/LiipImagineBundle/basic-usage.html#create-thumbnails
        squared_thumbnail:

            # set your image quality defaults
            jpeg_quality:          85
            png_compression_level: 8

            # setup the filter steps to apply for this transformation
            filters:

                # auto rotate the image using EXIF metadata
                auto_rotate: ~

                # strip the image of all metadata
                strip: ~

                # scale and square the image to the given dimensions
                thumbnail:
                    size:          [253, 253]
                    mode:          outbound
                    allow_upscale: true

                # create border by placing image on larger black background
                background:
                    size:     [256, 256]
                    position: center
                    color:    '#fff'

        thumb50x50:

            # set your image quality defaults
            jpeg_quality:          85
            png_compression_level: 8

            # setup the filter steps to apply for this transformation
            filters:

                # auto rotate the image using EXIF metadata
                auto_rotate: ~

                # strip the image of all metadata
                strip: ~

                # scale and square the image to the given dimensions
                thumbnail:
                    size:          [50, 50]
                    mode:          outbound
                    allow_upscale: true

        thumb20x20:

            # set your image quality defaults
            jpeg_quality:          85
            png_compression_level: 8

            # setup the filter steps to apply for this transformation
            filters:

                # auto rotate the image using EXIF metadata
                auto_rotate: ~

                # strip the image of all metadata
                strip: ~

                # scale and square the image to the given dimensions
                thumbnail:
                    size:          [20, 20]
                    mode:          outbound
                    allow_upscale: true

        thumb370x250:

            # set your image quality defaults
            jpeg_quality:          100
            png_compression_level: 8

            # setup the filter steps to apply for this transformation
            filters:

                # auto rotate the image using EXIF metadata
                auto_rotate: ~

                # strip the image of all metadata
                strip: ~
                watermark:
                   image: "QbaBit/InmobiliariaBundle/Resources/public/img/Watermark.png"
                   size: 0.3
                   position: center
                # scale and square the image to the given dimensions
                thumbnail:
                    size:          [370, 250]
                    mode:          outbound
                    allow_upscale: true

        thumb770x510:

            # set your image quality defaults
            jpeg_quality:          100
            png_compression_level: 8

            # setup the filter steps to apply for this transformation
            filters:

                # auto rotate the image using EXIF metadata
                auto_rotate: ~

                # strip the image of all metadata
                strip: ~
                watermark:
                     image: "QbaBit/InmobiliariaBundle/Resources/public/img/Watermark.png"
                     size: 0.3
                     position: center

                # scale and square the image to the given dimensions
                thumbnail:
                    size:          [770, 510]
                    mode:          outbound
                    allow_upscale: true


        thumb120x120:

            # set your image quality defaults
            jpeg_quality:          100
            png_compression_level: 8

            # setup the filter steps to apply for this transformation
            filters:

                # auto rotate the image using EXIF metadata
                auto_rotate: ~

                # strip the image of all metadata
                strip: ~

                # scale and square the image to the given dimensions
                thumbnail:
                    size:          [120, 120]
                    mode:          outbound
                    allow_upscale: true

        thumb442x280:

            # set your image quality defaults
            jpeg_quality:          100
            png_compression_level: 8

            # setup the filter steps to apply for this transformation
            filters:

                # auto rotate the image using EXIF metadata
                auto_rotate: ~

                # strip the image of all metadata
                strip: ~
                watermark:
                     image: "QbaBit/InmobiliariaBundle/Resources/public/img/Watermark.png"
                     size: 0.3
                     position: center

                # scale and square the image to the given dimensions
                thumbnail:
                    size:          [442, 280]
                    mode:          outbound
                    allow_upscale: true

        thumb150x150:

                   # set your image quality defaults
                   jpeg_quality:          100
                   png_compression_level: 8

                   # setup the filter steps to apply for this transformation
                   filters:

                       # auto rotate the image using EXIF metadata
                       auto_rotate: ~

                       # strip the image of all metadata
                       strip: ~

                       # scale and square the image to the given dimensions
                       thumbnail:
                           size:          [150, 150]
                           mode:          outbound
                           allow_upscale: true
        thumblogo:

                   # set your image quality defaults
                   jpeg_quality:          100
                   png_compression_level: 8

                   # setup the filter steps to apply for this transformation
                   filters:

                       # auto rotate the image using EXIF metadata
                       auto_rotate: ~

                       # strip the image of all metadata
                       strip: ~

                       # scale and square the image to the given dimensions
                       thumbnail:
                           size:          [207, 41]
                           mode:          outbound
                           allow_upscale: true


        thumb70x70:

                    # set your image quality defaults
                    jpeg_quality:          100
                    png_compression_level: 8

                    # setup the filter steps to apply for this transformation
                    filters:

                        # auto rotate the image using EXIF metadata
                        auto_rotate: ~

                        # strip the image of all metadata
                        strip: ~

                        # scale and square the image to the given dimensions
                        thumbnail:
                            size:          [70, 70]
                            mode:          outbound
                            allow_upscale: true

        thumb320x350:

            # set your image quality defaults
            jpeg_quality:          100
            png_compression_level: 8

            # setup the filter steps to apply for this transformation
            filters:

                # auto rotate the image using EXIF metadata
                auto_rotate: ~

                # strip the image of all metadata
                strip: ~

                # scale and square the image to the given dimensions
                thumbnail:
                    size:          [320, 350]
                    mode:          outbound
                    allow_upscale: true
